﻿using Microsoft.EntityFrameworkCore;

namespace DamageAssesment.Api.Attachments.Db
{
    public class AttachmentsDbContext:DbContext
    {
        public AttachmentsDbContext(DbContextOptions options) : base(options)
        {
        }
        public DbSet<Db.Attachment> Attachments { get; set; }
        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            modelBuilder.Entity<Attachment>()
                .Property(item => item.Id)
                .ValueGeneratedOnAdd();
        }
    }
}
