﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DamageAssesment.Api.DocuLinks.Db
{
    [Table("Doculinks")]
    public class Doculink
    {
        [Key]
        public int Id { get; set; }
        [ForeignKey("LinkType")]
        public int linkTypeId { get; set; }
        public bool IsActive { get; set; }
        public bool IsDeleted { get; set; }
        public int CustomOrder { get; set; }
        //public bool IsAttachments { get; set; }
        //public bool IsUrl { get; set; }
        public DateTime dateCreated { get; set; }
        public DateTime dateUpdated { get; set; }

    }
}
