﻿namespace DamageAssesment.Api.Questions.Models
{
     public class Question: BaseQuestion
    {
        public List<QuestionsTranslation> Questions { get; set; }
    }
    public class BaseQuestion
    {
        public int Id { get; set; }
        public string TypeText { get; set; } = string.Empty;
        public int QuestionNumber { get; set; }
        public bool IsRequired { get; set; }
        public bool Comment { get; set; }
        public bool Key { get; set; }
        public int? SurveyId { get; set; }
        public int CategoryId { get; set; }
    }
}
