﻿using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;

namespace DamageAssesment.Api.Surveys.Db
{
    [Table("SurveyTrans")]
    public class SurveyTranslation
    {
        [Key]
        public int Id { get; set; }
        [ForeignKey("Survey")]
        public int SurveyId { get; set; }

        [StringLength(200)]
        [Required]
        public string Title { get; set; }
        public string Language { get; set; }
    }
}





